For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • GETList Inventory at Locations
              • GETGet Inventory at Location
              • PUTUpdate Inventory Settings for Location
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryItems

List Inventory at Locations

GET
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/items
GET
/stores/:store_hash/v3/inventory/items
$curl https://api.bigcommerce.com/stores/store_hash/v3/inventory/items \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "identity": {
5 "sku": "TSHIRT-BLUE-M",
6 "variant_id": 1024,
7 "product_id": 500,
8 "sku_id": 2048
9 },
10 "locations": [
11 {
12 "location_id": 10,
13 "location_code": "WH-001",
14 "location_name": "Main Warehouse",
15 "available_to_sell": 150,
16 "total_inventory_onhand": 160,
17 "location_enabled": true,
18 "settings": {
19 "safety_stock": 10,
20 "is_in_stock": true,
21 "warning_level": 20,
22 "bin_picking_number": "A12"
23 }
24 },
25 {
26 "location_id": 12,
27 "location_code": "STORE-045",
28 "location_name": "Downtown Retail Store",
29 "available_to_sell": 30,
30 "total_inventory_onhand": 35,
31 "location_enabled": true,
32 "settings": {
33 "safety_stock": 5,
34 "is_in_stock": true,
35 "warning_level": 10,
36 "bin_picking_number": "B07"
37 }
38 }
39 ]
40 },
41 {
42 "identity": {
43 "sku": "MUG-LOGO-WHITE",
44 "variant_id": 2049,
45 "product_id": 501,
46 "sku_id": null
47 },
48 "locations": [
49 {
50 "location_id": 10,
51 "location_code": "WH-001",
52 "location_name": "Main Warehouse",
53 "available_to_sell": 75,
54 "total_inventory_onhand": 80,
55 "location_enabled": true,
56 "settings": {
57 "safety_stock": 5,
58 "is_in_stock": true,
59 "warning_level": 15,
60 "bin_picking_number": "C03"
61 }
62 }
63 ]
64 },
65 {
66 "identity": {
67 "sku": "HAT-BLACK",
68 "variant_id": 3050,
69 "product_id": 502,
70 "sku_id": 3050
71 },
72 "locations": [
73 {
74 "location_id": 11,
75 "location_code": "STORE-046",
76 "location_name": "Uptown Retail Store",
77 "available_to_sell": 20,
78 "total_inventory_onhand": 22,
79 "location_enabled": true,
80 "settings": {
81 "safety_stock": 2,
82 "is_in_stock": true,
83 "warning_level": 5,
84 "bin_picking_number": "D15"
85 }
86 }
87 ]
88 },
89 {
90 "identity": {
91 "sku": "NOTEBOOK-RED",
92 "variant_id": 4051,
93 "product_id": 503,
94 "sku_id": null
95 },
96 "locations": [
97 {
98 "location_id": 10,
99 "location_code": "WH-001",
100 "location_name": "Main Warehouse",
101 "available_to_sell": 200,
102 "total_inventory_onhand": 210,
103 "location_enabled": true,
104 "settings": {
105 "safety_stock": 10,
106 "is_in_stock": true,
107 "warning_level": 25,
108 "bin_picking_number": "E22"
109 }
110 }
111 ]
112 },
113 {
114 "identity": {
115 "sku": "BACKPACK-GREEN",
116 "variant_id": 5052,
117 "product_id": 504,
118 "sku_id": 5052
119 },
120 "locations": [
121 {
122 "location_id": 12,
123 "location_code": "STORE-045",
124 "location_name": "Downtown Retail Store",
125 "available_to_sell": 12,
126 "total_inventory_onhand": 15,
127 "location_enabled": true,
128 "settings": {
129 "safety_stock": 3,
130 "is_in_stock": true,
131 "warning_level": 5,
132 "bin_picking_number": "F09"
133 }
134 }
135 ]
136 }
137 ],
138 "meta": {
139 "pagination": {
140 "total": 246,
141 "count": 5,
142 "per_page": 5,
143 "current_page": 1,
144 "total_pages": 50,
145 "links": {
146 "previous": "?limit=5&page=1",
147 "current": "?limit=5&page=1",
148 "next": "?limit=5&page=2"
149 }
150 }
151 }
152}
Return a list of inventory and inventory settings for all items in all locations. **Limits** * Limit of 1000 items for payload length.
Was this page helpful?
Previous

Relative Adjustment

Next

Get Inventory at Location

Built with

Return a list of inventory and inventory settings for all items in all locations.

Limits

  • Limit of 1000 items for payload length.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

sku:instringOptional

List of sku separated by comma.

variant_id:inintegerOptional

List of variant_id separated by comma.

product_id:inintegerOptional

List of product_id separated by comma.

location_id:inintegerOptional

Comma separated list of location_id.

location_code:instringOptional

Comma separated list of location_code.

pageintegerOptional

Specifies the page number in a limited (paginated) list.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list.

Response

Request has been successfully processed.
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.